Gtk2::HandleBox(3)

NAME
Gtk2::HandleBox - wrapper for GtkHandleBox

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::HandleBox

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::HandleBox->new

  boolean = $handle_box->get_child_detached

  positiontype = $handle_box->get_handle_position

  $handle_box->set_handle_position ($position)

•   $position (Gtk2::PositionType)

  shadowtype = $handle_box->get_shadow_type

  $handle_box->set_shadow_type ($type)

•   $type (Gtk2::ShadowType)

  positiontype = $handle_box->get_snap_edge

  $handle_box->set_snap_edge ($edge)

•   $edge (Gtk2::PositionType)

PROPERTIES

'child-detached' (boolean : default false : readable / private / static-nick / static-blurb)
    A boolean value indicating whether the handlebox's child is attached or detached.

'handle-position' (Gtk2::PositionType : default "left" : readable / writable / private / static-nick / static-blurb)
    Position of the handle relative to the child widget

'shadow' (Gtk2::ShadowType : default "out" : readable / writable / private / static-nick / static-blurb / deprecated)
    Deprecated property, use shadow_type instead

'shadow-type' (Gtk2::ShadowType : default "out" : readable / writable / private / static-nick / static-blurb)
    Appearance of the shadow that surrounds the container

'snap-edge' (Gtk2::PositionType : default "top" : readable / writable / private / static-nick / static-blurb)
    Side of the handlebox that's lined up with the docking point to dock the handlebox

'snap-edge-set' (boolean : default false : readable / writable / private / static-nick / static-blurb)
    Whether to use the value from the snap_edge property or a value derived from handle_position

SIGNALS

child-attached (Gtk2::HandleBox, Gtk2::Widget)
child-detached (Gtk2::HandleBox, Gtk2::Widget)

ENUMS AND FLAGS

  enum Gtk2::PositionType

•   'left' / 'GTK_POS_LEFT'

•   'right' / 'GTK_POS_RIGHT'

•   'top' / 'GTK_POS_TOP'

•   'bottom' / 'GTK_POS_BOTTOM'

  enum Gtk2::ShadowType

•   'none' / 'GTK_SHADOW_NONE'

•   'in' / 'GTK_SHADOW_IN'

•   'out' / 'GTK_SHADOW_OUT'

•   'etched-in' / 'GTK_SHADOW_ETCHED_IN'

•   'etched-out' / 'GTK_SHADOW_ETCHED_OUT'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.